/***************************************************************************
                          login.cpp  -  description
                             -------------------
    begin                : Wed May 2 2001
    copyright            : (C) 2001 by Jess David Daz Leal
    email                : davileal@terra.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "login.h"

#include "qvbox.h"
#include "qlabel.h"
#include "qlineedit.h"
#include "qpushbutton.h"
#include <qaccel.h>

#include <stdlib.h> // To use the 'exit()' function.

#include "shopDB.h"
extern ShopDB* theShopDB;


Login::Login(QWidget* parent, const char* name) : QHBox(parent, name)
{
	setGeometry( 200, 150, 400, 240 );  //(XXX-QT/KDE-expert)  Set centred.
	setMinimumSize( 400, 240 );
	setMaximumSize( 400, 240 );

	// Window
	//   VBox
	//     HBox
	//         Label Passwd
	//         Entry
	//     HBox
	//         Button Cancel
	//         Button Accept

	QVBox* vbLogin = new QVBox(this, "vbLogin");
	vbLogin->setMargin(60);
	QHBox* hbPasswd = new QHBox(vbLogin, "hbPasswd");
	hbPasswd->setSpacing(12);
	QHBox* hbButtons = new QHBox(vbLogin, "hbButtons");
	hbButtons->setSpacing(30);

	QLabel* labelPassword = new QLabel( tr("Password:"), hbPasswd );
	labelPassword->setFont( QFont( "helvetica", FONT_SIZE_HELVETICA_1, QFont::Normal ) );
	labelPassword->setGeometry( QRect(85, 50, 70, 30) );

	password = new QLineEdit( hbPasswd );
	password->setEchoMode( QLineEdit::Password );
	password->setGeometry( QRect(165, 50, 130, 30) );
	password->setFont( QFont( "courier", FONT_SIZE_COURIER_1, QFont::Bold ) );
	this->setFocusProxy(password);

	QPushButton* cancel = new QPushButton( tr("Cancel"), hbButtons, "cancel" );
	cancel->setFont( QFont( "helvetica", FONT_SIZE_HELVETICA_1, QFont::Normal ) );
	cancel->setGeometry( QRect(75, 120, 100, 40) );
	connect( cancel, SIGNAL(clicked()), SLOT(exitApplication()) );

	QPushButton* accept = new QPushButton( tr("Accept"), hbButtons, "accept" );
	accept->setFont( QFont( "helvetica", FONT_SIZE_HELVETICA_1, QFont::Normal ) );
	accept->setGeometry( QRect(205, 120, 100, 40) );
	connect( accept, SIGNAL(clicked()), SLOT(checkPassword()) );

	QAccel* accel = new QAccel( this );
	accel->connectItem( accel->insertItem( Key_Enter ), this, SLOT(checkPassword()) );
	accel->connectItem( accel->insertItem( Key_Return ),this, SLOT(checkPassword()) );
	accel->connectItem( accel->insertItem( CTRL+Key_Q ),this, SLOT(exitApplication()) );
}

void Login::exitApplication()
{
	exit(0);
}

void Login::checkPassword()
{
	enum ss_error err;

	err = theShopDB->open();
	if (err != SSERR_OK)
	{
		;// XXX Under development ...
		return;
	}

	err = theShopDB->login( (password->text()).latin1() );
	if (err == SSERR_OK)
	{
		// theShopDB->state has been set to STATE_LOGIN
		delete this;
	}else{
		cout << theShopDB->error << endl;
		;// XXX Under development ...
	}
}

Login::~Login()
{
}
