/***************************************************************************
                          prodsManage.h  -  description
                             -------------------
    begin                : Tue Jun 5 2001
    copyright            : (C) 2001 by Jess David Daz Leal
    email                : davileal@terra.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PRODSMANAGE_H
#define PRODSMANAGE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <qwidget.h>

#include "qlistbox.h"
#include "qlineedit.h"

#include "shopDB.h"


class ProdsManage : public QWidget
{
  Q_OBJECT
  public:
	ProdsManage(QWidget* parent=0, const char* name=0);
	~ProdsManage();

  public slots:

  signals:

  protected:

  private slots:
	void remIngredientIfSelected();
	void addIngredient();
	void calcTotal();
  	void prodToSellSelected();
  	void prodToBuySelected();
	void selectProdToSell();
	void selectProdToBuy();

	void prodToSellNotSaved();
	void prodToBuyNotSaved();

	void newToSellProd();
	void removeToSellProd();
	void saveToSellProd();
	void newToBuyProd();
	void removeToBuyProd();
	void saveToBuyProd();

  private:
	const ProdsToSell* prodsToSell;
	QLineEdit* cod0;
	QLineEdit* desc0;
	QListBox* lbProdsToSell;
	short TheMostLongToSellProdCode;
	QPushButton* prodToSellNew;
	QPushButton* prodToSellRem;
	QPushButton* prodToSellSave;

	QLineEdit* prodToSellLongDsc;
	QLineEdit* prodToSellUnitPrice;

	QListBox* lbIngredients;
	QLineEdit* ingredientsTotal;


	const ProdsToBuy* prodsToBuy;
	QLineEdit* cod1;
	QLineEdit* desc1;
	QListBox* lbProdsToBuy;
	short TheMostLongToBuyProdCode;
	QPushButton* prodToBuyNew;
	QPushButton* prodToBuyRem;
	QPushButton* prodToBuySave;

	QLineEdit* prodToBuyLongDsc;
	QLineEdit* prodToBuyUnitCost;
	QLineEdit* rate;
	QLineEdit* rateCost;
};

#endif
