/***************************************************************************
                          reports.h  -  description
                             -------------------
    begin                : Tue Jun 5 2001
    copyright            : (C) 2001 by Jess David Daz Leal
    email                : davileal@terra.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef REPORTS_H
#define REPORTS_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <qwidget.h>

#include <qlineedit.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qlabel.h>

//XXX-QT/KDE-expert:  #include <kdatepik.h>


class Reports : public QWidget
{
  Q_OBJECT
  public:
	Reports(QWidget* parent=0, const char* name=0);
	~Reports();

  public slots:

  signals:

  protected:

  private slots:
	void reportTypeChanged();
	void updateFileNameText();
	void showTheReport();
	void sinceDatePicker();
	void untilDatePicker();

  private:
	QRadioButton* sales;
	QRadioButton* purchases;
	QRadioButton* sales_purchases;
	QRadioButton* current_inventory;
	QRadioButton* inventory_deviation;
	QLineEdit* fileName;

	QLabel* labelSince;
	QLabel* labelUntil;
	QComboBox* cbSinceDate;
	QComboBox* cbUntilDate;
	QLineEdit* leSinceDate;
	QLineEdit* leUntilDate;
	QLineEdit* leSinceTime;
	QLineEdit* leUntilTime;
	//XXX-QT/KDE-expert:  KDatePicker* selectDate;

	QButtonGroup* weekDays;
	QCheckBox* monday;
	QCheckBox* tuesday;
	QCheckBox* wednesday;
	QCheckBox* thursday;
	QCheckBox* friday;
	QCheckBox* saturday;
	QCheckBox* sunday;
};

#endif
