/***************************************************************************
                          shopmanage.cpp  -  description
                             -------------------
    begin                : Tue Jun  5 15:46:37 WEST 2001
    copyright            : (C) 2001 by Jess David Daz Leal
    email                : davileal@terra.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#include "shopmanage.h"

#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qgrid.h>
#include <qlabel.h>
#include <qpixmap.h>
#include <qlayout.h>


ShopManage::ShopManage(QWidget* parent, const char* name) : QVBox( parent, name )
{
	QWidget* main = new QWidget(this);

	//make a 1x1 grid, it will auto-expand:
	QGridLayout* grid = new QGridLayout( main, 1, 1 );
	grid->setMargin(10);

	// -o-  IIInfo: It must be son and also be added using addWidget.

	const QPixmap logo_image( "ShopManagement-logo.png" );
	QLabel* logo = new QLabel( "Logo", main, "logo" );
	logo->setPixmap ( logo_image );
	grid->addMultiCellWidget( logo, 0, 2, 0, 3, Qt::AlignCenter );

	buy = new QPushButton( "Buy", main, "buy" );
	buy->setFont( QFont( "helvetica", 18, QFont::Normal ) );
	grid->addMultiCellWidget( buy, 5, 6, 0, 2/*, Qt::AlignCenter */);
	connect( buy, SIGNAL(clicked()), SLOT(showBuyW()) );

	management = new QPushButton( "Products management", main, "management" );
	management->setFont( QFont( "helvetica", 18, QFont::Normal ) );
	grid->addMultiCellWidget( management, 7, 8, 0, 2/*, Qt::AlignCenter */);
	connect( management, SIGNAL(clicked()), SLOT(showProdsManageW()) );

	report = new QPushButton( "Report", main, "report" );
	report->setFont( QFont( "helvetica", 18, QFont::Normal ) );
	grid->addMultiCellWidget( report, 9, 10, 0, 2/*, Qt::AlignCenter */);
	connect( report, SIGNAL(clicked()), SLOT(showReportsW()) );

	inventory = new QPushButton( "Fit inventory", main, "inventory" );
	inventory->setFont( QFont( "helvetica", 18, QFont::Normal ) );
	grid->addMultiCellWidget( inventory, 11, 12, 0, 2/*, Qt::AlignCenter */);
	connect( inventory, SIGNAL(clicked()), SLOT(showFitInventoryW()) );
}

void ShopManage::showBuyW()
{
	buyWindow = new Buy();
	buyWindow->show();
	//???XXX  Must I permit that the 'Sell' window can be showed at the same time that the 'Buy', ... windows?. Is it good idea to make easier the use of the aplication to the administrator?.
}

void ShopManage::showProdsManageW()
{
	prodsManageWindow = new ProdsManage();
	prodsManageWindow->show();
}

void ShopManage::showReportsW()
{
	reportsWindow = new Reports();
	reportsWindow->show();
}

void ShopManage::showFitInventoryW()
{
	fitInventoryWindow = new FitInventory();
	fitInventoryWindow->show();
}

ShopManage::~ShopManage()
{
}
