/***************************************************************************
                        shopsuite.cpp  -  description
                             -------------------
    begin                : Wed May  2 16:34:08 WEST 2001
    copyright            : (C) 2001 by Jess David Daz Leal
    email                : davileal@terra.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#define _GNU_SOURCE	// for need getopt_long


#include <qapplication.h>


#include "login.h"

#include "shopDB.h"
ShopDB* theShopDB=NULL; //(XXX-Davi): Global: Everybody can access via 'extern'.


#include <getopt.h>

#include "salepoint.h"

#ifdef WITH_MANAGEMENT
#include "shopmanage.h"
#endif

struct option opts[] =
{
#ifdef WITH_MANAGEMENT
    {"manage", 0, NULL, 'm'},
#endif
    {"help", 0, NULL, 'h'},
    {NULL, 0, NULL, 0}
};

int main(int argc, char* argv[])
{
	theShopDB = new ShopDB();


	QApplication app( argc, argv );

	Login* login;
	login = new Login(); // Destroyed internally, into Login code
	login->show();

	int opt_manage=0;
	int opt=0;
	do
	{
		opt = getopt_long( argc, argv,
#ifdef WITH_MANAGEMENT
				   "mh",
#else
				   "h",
#endif
				   opts, NULL);
#ifdef WITH_MANAGEMENT
		if (opt == 'm') opt_manage = 1;
#endif
		if (opt == 'h')
		{
			printf("Usage: %s [options]\nPossible options:\n", argv[0]);
			printf("                 Sale Point\n");
#ifdef WITH_MANAGEMENT
			printf("-m  --manage     Shop Management\n");
#endif
			printf("-h  --help       This message\n");
			return 0;
		}
	} while (opt != -1);
    
	while (1)
	{
		app.processEvents(200);

		if (theShopDB!=NULL && theShopDB->get_state()!=STATE_NOT_LOGIN)
		{
			// Have to be made up after the user has logged into the data base
			// because of the constructor load data from the data base.
#ifdef WITH_MANAGEMENT
			if( opt_manage==1 )
			{
				ShopManage* shopmanage;
				shopmanage = new ShopManage();
				app.setMainWidget(shopmanage);
				shopmanage->show();
			}else{
#endif
				SalePoint* salepoint;
				salepoint = new SalePoint();
				app.setMainWidget(salepoint);
				salepoint->show();
#ifdef WITH_MANAGEMENT
			}
#endif
	
			break; // Go out to the normal event loop 'app.exec()'
		}
	}

	return app.exec();
}
